def bot_callback(bot, message):
    command = message.get("command")
    params = message.get("params")
    has_tags = message.get("has_tags")
    has_prefix = message.get("has_prefix")
    raw = message.get("raw")
    cmd_type = message.get("type")
    source = message.get("source")
    nick = message.get("nick")

    settings = bot.state.get("settings", dict())
    irc_settings = settings.get("irc", dict())
    bot_name = irc_settings.get("name", "ircbot")
    author = irc_settings.get("author", "aewens")
    about = irc_settings.get("about", "I am made by {}")

    flags = bot.state.get("_flags")

    if all([source == "nick", nick == "NickServ", bot.state.get("registered"),
        not bot.state.get("is-bot")]):
        flags["is-bot"] = True
        #bot.send(f"MODE {bot_name} +B")

    if all([command == "PRIVMSG", bot.state.get("joined")]):
        channel, privmsg = bot.privmsg(message)
        if privmsg in ["!botlist", "!rollcall"]:
            bot.sendto(channel, about.format(author))
